#ifndef Lanes_h
#define Lanes_h

#include <Arduino.h>

const int CurveTable[2] = {0, 1};


class Lane {
public:
    Lane(int OutputPin);
    void Update(int CurrentTime);
    void Randomize();
    int Positiion();
    void StepUpdate(int Step, int Voltage, int Curve, int Param);
    void EndUpdate(int NewEnd);

    
private:
    int pin;
    int pos;
    int time;
    int track[4][64];
    int end;
};

#endif